encoding-0.10.2: A library for various character encodings

Safe Haskell | None
Language | Haskell2010

Data.Encoding.ASCII

# Documentation

data ASCII Source #

Constructors

ASCII |

#### Instances

Instances details

Encoding ASCII Source # |
Instance details Defined in Data.Encoding.ASCII Methods decodeChar :: ByteSource m => ASCII -> m Char Source # encodeChar :: ByteSink m => ASCII -> Char -> m () Source # decode :: ByteSource m => ASCII -> m String Source # encode :: ByteSink m => ASCII -> String -> m () Source # encodeable :: ASCII -> Char -> Bool Source #
Show ASCII Source # |
Instance details Defined in Data.Encoding.ASCII Methods showsPrec :: Int -> ASCII -> ShowS Source # show :: ASCII -> String Source # showList :: [ASCII] -> ShowS Source #
Eq ASCII Source # |
Instance details Defined in Data.Encoding.ASCII Methods (==) :: ASCII -> ASCII -> Bool Source # (/=) :: ASCII -> ASCII -> Bool Source #